CVC4::StatisticsBase Class Reference

`#include <statistics.h>`

Inheritance diagram for CVC4::StatisticsBase:
[legend]
Collaboration diagram for CVC4::StatisticsBase:
[legend]

## Data Structures

class | iterator
struct | StatCmp
| A helper class for comparing two statistics. More...

## Public Types

typedef iterator | const_iterator
| An iterator type over a set of statistics.

## Public Member Functions

virtual | ~StatisticsBase ()
virtual void | setPrefix (const std::string &prefix)
| Set the output prefix for this set of statistics.
void | flushInformation (std::ostream &out) const
| Flush all statistics to the given output stream.
SExpr | getStatistic (std::string name) const
| Get the value of a named statistic.
const_iterator | begin () const
| Get an iterator to the beginning of the range of the set of statistics.
const_iterator | end () const
| Get an iterator to the end of the range of the set of statistics.

## Protected Types

typedef std::set< Stat *, StatCmp > | StatSet
| A type for a set of statistics.

## Protected Member Functions

| StatisticsBase ()
| StatisticsBase (const StatisticsBase &stats)
StatisticsBase & | operator= (const StatisticsBase &stats)

## Protected Attributes

std::string | d_prefix
StatSet | d_stats
| The set of statistics in this object.

## Static Protected Attributes

static std::string | s_regDelim

## Detailed Description

Definition at line 35 of file statistics.h.

## Member Typedef Documentation

## const_iterator

typedef iterator CVC4::StatisticsBase::const_iterator

An iterator type over a set of statistics.

Definition at line 79 of file statistics.h.

## StatSet

typedef std::set< Stat*, StatCmp > CVC4::StatisticsBase::StatSet

protected

A type for a set of statistics.

Definition at line 46 of file statistics.h.

## Constructor & Destructor Documentation

## StatisticsBase() [1/2]

CVC4::StatisticsBase::StatisticsBase | ( |  | ) |

protected

## StatisticsBase() [2/2]

CVC4::StatisticsBase::StatisticsBase | ( | const StatisticsBase & | stats | ) |

protected

## ~StatisticsBase()

virtual CVC4::StatisticsBase::~StatisticsBase | ( |  | ) |

inlinevirtual

Definition at line 59 of file statistics.h.

## Member Function Documentation

## begin()

const_iterator CVC4::StatisticsBase::begin | ( |  | ) | const

Get an iterator to the beginning of the range of the set of statistics.

## end()

const_iterator CVC4::StatisticsBase::end | ( |  | ) | const

Get an iterator to the end of the range of the set of statistics.

## flushInformation()

void CVC4::StatisticsBase::flushInformation | ( | std::ostream & | out | ) | const

Flush all statistics to the given output stream.

## getStatistic()

SExpr CVC4::StatisticsBase::getStatistic | ( | std::string | name | ) | const

Get the value of a named statistic.

## operator=()

StatisticsBase & CVC4::StatisticsBase::operator= | ( | const StatisticsBase & | stats | ) |

protected

## setPrefix()

virtual void CVC4::StatisticsBase::setPrefix | ( | const std::string & | prefix | ) |

virtual

Set the output prefix for this set of statistics.

## Field Documentation

## d_prefix

std::string CVC4::StatisticsBase::d_prefix

protected

Definition at line 48 of file statistics.h.

## d_stats

StatSet CVC4::StatisticsBase::d_stats

protected

The set of statistics in this object.

Definition at line 51 of file statistics.h.

## s_regDelim

std::string CVC4::StatisticsBase::s_regDelim

staticprotected

Definition at line 38 of file statistics.h.

The documentation for this class was generated from the following file:

- src/util/statistics.h